org.eclipse.graphiti.ui.internal.util.clipboard

## Class UriTransferData

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.util.clipboard.UriTransferData

    public final class UriTransferData
    extends java.lang.Object

Data class used by `UriTransfer` to store a list of `URI` strings and additional lookup metadata.

### Constructor Summary

Constructors
Constructor and Description
`UriTransferData(java.util.List<java.lang.String> uriStrings)` Creates `UriTransferData`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`java.util.List<java.lang.String>` `getUriStrings()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UriTransferData

    public UriTransferData(java.util.List<java.lang.String> uriStrings)

Creates `UriTransferData`.

Parameters:
  `uriStrings` -

### Method Detail

#### getUriStrings

    public java.util.List<java.lang.String> getUriStrings()

Returns:
  the uriStrings

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`